From 650208c98362006df6a24c2a5aa06af79d40a5a3 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Tue, 15 Nov 2016 21:37:05 -0800
Subject: [PATCH 01/22] APPS Changes Increase Modem Memory Map

Remove Audio over usb function and its associated memory
Expand the mss_mem hole to cover entire MPSS memory region

Change-Id: I7873d488dd132b36577b4041bf19b010275f7d9a
---
 arch/arm/boot/dts/qcom/mdmcalifornium-ion.dtsi |  5 -----
 arch/arm/boot/dts/qcom/mdmcalifornium-usb.dtsi |  2 +-
 arch/arm/boot/dts/qcom/mdmcalifornium.dtsi     |  8 +-------
 arch/arm/configs/mdm-perf_defconfig            |  6 ------
 arch/arm/configs/mdm_defconfig                 |  6 ------
 drivers/usb/gadget/function/Makefile           |  2 --
 sound/soc/msm/Kconfig                          | 19 -------------------
 7 files changed, 2 insertions(+), 46 deletions(-)

diff --git a/arch/arm/boot/dts/qcom/mdmcalifornium-ion.dtsi b/arch/arm/boot/dts/qcom/mdmcalifornium-ion.dtsi
index 7de9707..dd2707a 100644
--- a/arch/arm/boot/dts/qcom/mdmcalifornium-ion.dtsi
+++ b/arch/arm/boot/dts/qcom/mdmcalifornium-ion.dtsi
@@ -21,10 +21,5 @@
 			qcom,ion-heap-type = "SYSTEM";
 		};
 
-		qcom,ion-heap@28 { /* AUDIO HEAP */
-			reg = <28>;
-			memory-region = <&audio_mem>;
-			qcom,ion-heap-type = "DMA";
-		};
 	};
 };
diff --git a/arch/arm/boot/dts/qcom/mdmcalifornium-usb.dtsi b/arch/arm/boot/dts/qcom/mdmcalifornium-usb.dtsi
index 7735ecc..c4c0a7a 100644
--- a/arch/arm/boot/dts/qcom/mdmcalifornium-usb.dtsi
+++ b/arch/arm/boot/dts/qcom/mdmcalifornium-usb.dtsi
@@ -109,7 +109,7 @@
 		compatible = "qcom,android-usb";
 		reg = <0x086000c8 0xc8>;
 		qcom,pm-qos-latency = <101 2001 30001>;
-		qcom,supported-func = "ffs","audio","diag","serial",
+		qcom,supported-func = "ffs","diag","serial",
 			"mass_storage","rndis_gsi","ecm_gsi","rmnet_gsi",
 			"mbim_gsi","dpl_gsi","gps","qdss";
 	};
diff --git a/arch/arm/boot/dts/qcom/mdmcalifornium.dtsi b/arch/arm/boot/dts/qcom/mdmcalifornium.dtsi
index 5b19590..6ef1c30 100644
--- a/arch/arm/boot/dts/qcom/mdmcalifornium.dtsi
+++ b/arch/arm/boot/dts/qcom/mdmcalifornium.dtsi
@@ -36,15 +36,9 @@
 		mss_mem: mss_region@88000000 {
 			compatible = "removed-dma-pool";
 			no-map;
-			reg = <0x88000000 0x6E00000>;
+			reg = <0x88000000 0x8000000>;
 			label = "mss_mem";
 		};
-
-		audio_mem: audio_region@0 {
-			compatible = "shared-dma-pool";
-			reusable;
-			size = <0x400000>;
-		 };
 	};
 
 	aliases {
diff --git a/arch/arm/configs/mdm-perf_defconfig b/arch/arm/configs/mdm-perf_defconfig
index 1f046b6..0624f4e 100644
--- a/arch/arm/configs/mdm-perf_defconfig
+++ b/arch/arm/configs/mdm-perf_defconfig
@@ -251,16 +251,11 @@ CONFIG_SENSORS_QPNP_ADC_VOLTAGE=y
 CONFIG_THERMAL=y
 CONFIG_THERMAL_TSENS8974=y
 CONFIG_THERMAL_QPNP_ADC_TM=y
-CONFIG_WCD9335_CODEC=y
 CONFIG_REGULATOR_FIXED_VOLTAGE=y
 CONFIG_REGULATOR_STUB=y
 CONFIG_REGULATOR_MEM_ACC=y
 CONFIG_REGULATOR_SPM=y
 CONFIG_REGULATOR_CPR=y
-CONFIG_SOUND=y
-CONFIG_SND=y
-CONFIG_SND_SOC=y
-CONFIG_SND_SOC_MDMCALIFORNIUM=y
 CONFIG_UHID=y
 CONFIG_HID_APPLE=y
 CONFIG_HID_ELECOM=y
@@ -333,7 +328,6 @@ CONFIG_RMNET_IPA3=y
 CONFIG_MSM_SPMI=y
 CONFIG_MSM_SPMI_PMIC_ARB=y
 CONFIG_MSM_QPNP_INT=y
-CONFIG_MSM_ADSP_LOADER=y
 CONFIG_MSM_MEMORY_DUMP_V2=y
 CONFIG_MSM_BOOT_STATS=y
 CONFIG_MSM_COMMON_LOG=y
diff --git a/arch/arm/configs/mdm_defconfig b/arch/arm/configs/mdm_defconfig
index 344978a..850edee 100644
--- a/arch/arm/configs/mdm_defconfig
+++ b/arch/arm/configs/mdm_defconfig
@@ -254,7 +254,6 @@ CONFIG_THERMAL=y
 CONFIG_THERMAL_TSENS8974=y
 CONFIG_THERMAL_MONITOR=y
 CONFIG_THERMAL_QPNP_ADC_TM=y
-CONFIG_WCD9335_CODEC=y
 CONFIG_REGULATOR_FIXED_VOLTAGE=y
 CONFIG_REGULATOR_STUB=y
 CONFIG_REGULATOR_MEM_ACC=y
@@ -264,10 +263,6 @@ CONFIG_FB=y
 CONFIG_FB_MSM=y
 CONFIG_FB_MSM_MDP_NONE=y
 CONFIG_FB_MSM_QPIC_PANEL_DETECT=y
-CONFIG_SOUND=y
-CONFIG_SND=y
-CONFIG_SND_SOC=y
-CONFIG_SND_SOC_MDMCALIFORNIUM=y
 CONFIG_UHID=y
 CONFIG_HID_APPLE=y
 CONFIG_HID_ELECOM=y
@@ -346,7 +341,6 @@ CONFIG_IPA_UT=y
 CONFIG_MSM_SPMI=y
 CONFIG_MSM_SPMI_PMIC_ARB=y
 CONFIG_MSM_QPNP_INT=y
-CONFIG_MSM_ADSP_LOADER=y
 CONFIG_MSM_MEMORY_DUMP_V2=y
 CONFIG_MSM_BOOT_STATS=y
 CONFIG_MSM_COMMON_LOG=y
diff --git a/drivers/usb/gadget/function/Makefile b/drivers/usb/gadget/function/Makefile
index cc428c4..066be82 100644
--- a/drivers/usb/gadget/function/Makefile
+++ b/drivers/usb/gadget/function/Makefile
@@ -42,8 +42,6 @@ usb_f_mtp-y                     := f_mtp.o
 obj-$(CONFIG_USB_F_MTP)         += usb_f_mtp.o
 usb_f_ptp-y                     := f_ptp.o
 obj-$(CONFIG_USB_F_PTP)         += usb_f_ptp.o
-usb_f_audio_source-y            := f_audio_source.o
-obj-$(CONFIG_USB_F_AUDIO_SRC)   += usb_f_audio_source.o
 usb_f_accessory-y               := f_accessory.o
 obj-$(CONFIG_USB_F_ACC)         += usb_f_accessory.o
 
diff --git a/sound/soc/msm/Kconfig b/sound/soc/msm/Kconfig
index 5b1badf..6ca524a 100644
--- a/sound/soc/msm/Kconfig
+++ b/sound/soc/msm/Kconfig
@@ -193,25 +193,6 @@ config SND_SOC_MSM8X16
 	 the machine driver and the corresponding
 	 DAI-links
 
-config SND_SOC_MDMCALIFORNIUM
-        tristate "SoC Machine driver for MDMCALIFORNIUM boards"
-        depends on ARCH_MDMCALIFORNIUM
-        select SND_SOC_QDSP6V2
-        select SND_SOC_MSM_STUB
-        select SND_SOC_MSM_HOSTLESS_PCM
-        select SND_DYNAMIC_MINORS
-        select MSM_QDSP6_APRV3_GLINK
-        select MSM_QDSP6V2_CODECS
-        select SND_SOC_WCD9335
-        select SND_SOC_WSA881X
-        select SND_HWDEP
-        help
-         To add support for SoC audio on MDMCALIFORNIUM.
-         This will enable sound soc drivers which
-         interfaces with DSP, also it will enable
-         the machine driver and the corresponding
-         DAI-links
-
 config SND_SOC_MDM9607
 	tristate "SoC Machine driver for MDM9607 boards"
 	depends on ARCH_MDM9607
-- 
1.8.2.1

